
<div class="div-table col-sm-12">
    
    <div class="row">
          <div class="div-tr">
            <div class="div-th col-sm-3">Preview</div>
            <div class="div-th col-sm-7">Filename</div>
            <div class="div-th col-sm-2">Actions</div>
          </div>
          {% for file in files %}
          <div class="div-tr">
            <div class="div-td first col-sm-3">
                {# <img class="img-rounded" src="{{path('display_image',{
                    name:file.name
                })}}" style="max-width:50px"/> #}
                <img class="img-rounded" src="{{file.getImageUrl(default_upload_dir)}}" style="max-width:50px"/>
            </div>
            <div class="div-td col-sm-7">
             {{file.name~"."~file.extension}} 
            </div>
            <div class="div-td last col-sm-2">
                <div class="action-block">
                    <a href="{{path('files_download',{
                        id:file.id
                    })}}">
                        <i class="fa fa-file-download"></i>
                    </a>
                    <a class="delete_file" data-id="{{file.id}}" href="#">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </div>
            </div>
          </div>
          {% else %}
          <div class="div-tr">
                <div class="div-td col-sm-12">No files found</div>
          </div>
          {% endfor %}
    </div>
</div>
<div style="clear:both;"></div>

<style>
    /* Bootstrap div table */

* {
   margin: 0;
 }
 html, body {
   height: 100%;
 }
 .navbar {
   margin-bottom: 0;
   height: 5.3rem;
 }
 .navbar .navbar-text {
   width: 100%;
   text-align: center;
   font-weight: bold;
   font-size: 3rem;
   margin: 0.5rem;
 }
 body {
   overflow-y: scroll;
 }
 body > .container {
   padding-top: 7.3rem;
   padding-bottom: 2rem;
   min-height: 100%;
   height: auto !important;
   height: 100%;
   margin: 0 auto -8rem;
 }
 body > .container > .row > h1, body > .container > .row .h1, body > .container > .row h2, body > .container > .row .h2, body > .container > .row h3, body > .container > .row .h3, body > .container > .row h4, body > .container > .row .h4, body > .container > .row h5, body > .container > .row .h5, body > .container > .row h6, body > .container > .row .h6 {
   margin-top: 0;
 }
 body > .container a:hover, body > .container a:focus, body > .container a:active {
   text-decoration: none;
 }
 body > .container .push {
   height: 8rem;
 }
 .div-table {
   border: 1px solid #000;
 }
 .div-table .div-tr {
   border-bottom: 1px solid #000;
   width: 100%;
   float: left;
 }
 .div-table .div-tr:nth-child(even) {
   background-color: #ccc;
 }
 .div-table .div-tr:last-child {
   border-bottom: 0px;
 }
 .div-table .div-th {
   font-weight: bold;
   text-align: center;
 }
 .div-table .div-th ~ .div-th {
   border-left: 1px solid #000;
 }
 .div-table .div-td ~ .div-td {
   border-left: 1px solid #000; 
   border-right:1px solid #000;
   padding-top:5px;
   padding-bottom:5px;
 }

.div-table .div-td.last{
   border-left:none;
   border-right:none;
}

.div-td i{
    font-size:14px;
}
</style>